Last Comment Bug 600104 - Bump minimum required version for system NSS to 3.12.8
: Bump minimum required version for system NSS to 3.12.8
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla2.0b7
Assigned To: Reed Loden [:reed] (use needinfo?)
:
:
Mentors:
Depends on:
Blocks: 587407 595300
  Show dependency treegraph
 
Reported: 2010-09-27 18:55 PDT by Micah Gersten
Modified: 2010-12-10 09:01 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
final+
.11+
.11-fixed
.14+
.14-fixed


Attachments
patch - v1 (758 bytes, patch)
2010-09-28 15:40 PDT, Reed Loden [:reed] (use needinfo?)
khuey: review+
wtc: review+
christian: approval1.9.2.11+
christian: approval1.9.1.14+
Details | Diff | Splinter Review

Description Micah Gersten 2010-09-27 18:55:49 PDT
/build/buildd/xulrunner-2.0-2.0~b7~hg20100926r54658+nobinonly/build-tree/mozilla/security/manager/ssl/src/nsNSSErrors.cpp:163: error: 'SSL_ERROR_WEAK_SERVER_EPHEMERAL_DH_KEY' was not declared in this scope
make[6]: *** [nsNSSErrors.o] Error 1

This was added here:
http://hg.mozilla.org/mozilla-central/rev/d04cc71e768b
to fix bug 587407

Is NSS 3.12.8 now required for mozilla-central?
Comment 1 Wan-Teh Chang 2010-09-28 11:24:38 PDT
Micah: thank you for the bug report.  I expected to hear from you.

SSL_ERROR_WEAK_SERVER_EPHEMERAL_DH_KEY is new in NSS 3.12.8.  It
is not defined as a macro, so we can't use conditional compilation.

You can replace SSL_ERROR_WEAK_SERVER_EPHEMERAL_DH_KEY with its
value -12173, if you want to build with system NSS 3.12.7.  I
recommend requiring NSS 3.12.8.
Comment 2 Micah Gersten 2010-09-28 11:31:13 PDT
(In reply to comment #1)
> Micah: thank you for the bug report.  I expected to hear from you.
> 
> SSL_ERROR_WEAK_SERVER_EPHEMERAL_DH_KEY is new in NSS 3.12.8.  It
> is not defined as a macro, so we can't use conditional compilation.
> 
> You can replace SSL_ERROR_WEAK_SERVER_EPHEMERAL_DH_KEY with its
> value -12173, if you want to build with system NSS 3.12.7.  I
> recommend requiring NSS 3.12.8.

Should I move this to build config and propose bumping minimum NSS to 3.12.8?
Comment 3 Wan-Teh Chang 2010-09-28 13:32:55 PDT
That sounds good.

I'm still new to the minimum NSS requirement problem.
Do you usually want to avoid bumping the minimum NSS
version requirement?
Comment 4 Reed Loden [:reed] (use needinfo?) 2010-09-28 15:40:53 PDT
Created attachment 479206 [details] [diff] [review]
patch - v1
Comment 5 Wan-Teh Chang 2010-09-28 15:47:15 PDT
Comment on attachment 479206 [details] [diff] [review]
patch - v1

r=wtc.
Comment 6 Reed Loden [:reed] (use needinfo?) 2010-09-28 15:47:55 PDT
Comment on attachment 479206 [details] [diff] [review]
patch - v1

Branch blocker now, so don't need approval2.0

Note You need to log in before you can comment on or make changes to this bug.